org.apache.hadoop.yarn.api.records

## Class ResourceSizing

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ResourceSizing

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class ResourceSizing
      extends Object

  `ResourceSizing` contains information for the size of a `SchedulingRequest`, such as the number of requested allocations and the resources for each allocation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceSizing()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `abstract int` | `getNumAllocations()`
    `abstract Resource` | `getResources()`
    `int` | `hashCode()`
    `static ResourceSizing` | `newInstance(int numAllocations, Resource resources)`
    `static ResourceSizing` | `newInstance(Resource resources)`
    `abstract void` | `setNumAllocations(int numAllocations)`
    `abstract void` | `setResources(Resource resources)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceSizing

          public ResourceSizing()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static ResourceSizing newInstance(Resource resources)

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static ResourceSizing newInstance(int numAllocations,
                                                                                                           Resource resources)

    - #### getNumAllocations

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract int getNumAllocations()

    - #### setNumAllocations

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setNumAllocations(int numAllocations)

    - #### getResources

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract Resource getResources()

    - #### setResources

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setResources(Resource resources)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.